Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004905TestLinkAssign Test Case Executionpublic2012-02-04 13:482012-09-01 19:58
Reportertechieguy 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004905: Test Case Tester Assignment - filters dont work properly for 'Assigned to' Field
DescriptionCreate a Test Plan
Create some Test Cases and add it to the Test Plan

Create 2 Builds B1 and B2.

In Build B1 - assign test cases to User A and User B

User A executes the test cases as below in build B1

Pass - 5
Failed - 3
Not Run - 8

User B executes the test cases as below in build B1

Pass - 8
Failed - 2
Not Run - 4

Now I need to assign the test cases to the build B2 for following requirements:
1: Add all not run test cases: This part works using the filters.
2: Add all the Pass test cases which were assigned to User A in the build B1 the test cases returned are incorrect.

The Filters I set for this are as follow:
Build to Assign : B2

Assigned to : User A
Status: Passed in specific build B1.

I hope this is clear. Let me know if any doubts.

You can try testing with other status values . They also return incrrect values or 0 test cases sometimes , If i remove the Assigned to USer A filter then the test cases returned are correct but are for all the assigned users.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)NA
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0004635closedasimon Filter by Status not working properly on test exec assignment when platforms are used 
parent of 0004710closedfman Performance/Filter Problem on big project 

-  Notes
(0016326)
techieguy (reporter)
2012-02-04 13:50
edited on: 2012-02-04 13:52

You can also cross verify the test case stats against the report "Results by Tester per build"

You will find the stats dont match when the Filter Assigned to is used with the Status set to some value for a specific build.

Incase you try to use the value "Somebody" the stats are more weird.

(0016366)
fman (administrator)
2012-02-09 18:23

@amitkhullar
what kind of update do you expect after just 5 days from reporting?
to add notes like 16365, better add nothing
(0016369)
fman (administrator)
2012-02-09 20:44

I mean I do not accept any user pressing for a solution or feedback after only 5 days.
Hope now is clear.
(0016669)
techieguy (reporter)
2012-05-12 22:12

Hi fman,

We are facing issues due to this defect while reassignment of test cases. Can we get a solution please.
(0016671)
fman (administrator)
2012-05-13 08:02

@user:
we are working on a general refactoring on reports and filters, we will try to add this issue on this set.
(0016672)
techieguy (reporter)
2012-05-13 09:50

Thanks for considering it, would it be possible to provide a patch fix for 1.9.3 in case it is making to the 1.9.4 release, since their might be a time lag for 1.9.4 delivery.
(0016680)
asimon (developer)
2012-05-14 13:10

Are you using platforms in TestLink or do you notice these defects even without platforms?

This could be a duplicate of 4635, but I'm not sure yet.
(0016681)
techieguy (reporter)
2012-05-14 13:29

No we dont use platforms its just builds and test plans.
(0016682)
asimon (developer)
2012-05-15 05:00

We are working on this, but it will take some time. We talked about this internally and don't see a possibility to fix this in 1.9.3 by a patch in a good and quick way. The main issue here are the platforms, which are still not fully integrated everywhere. This does cause some problems even when no platforms are used. A quick fix would still not fix everything and may make things even worse with unexpected side effects in other areas where the filters are being used and working fine at the moment.

So first we have to finish the refactoring in our database and filtering related code. Then filtering will be improved and tested, testing is very important after all changes in these areas. Then we will provide a better TestLink 1.9 than ever with really fixed filtering. The next release of 1.9 will be faster, use less memory and the filtering issues and defects will be solved. We think waiting for 1.9.4 would be the best solution in the long term for every user.
(0016683)
gunter (reporter)
2012-05-15 06:16
edited on: 2012-05-15 06:17

Hello asimon,
thank you for your statement. And at first, i will not do any pressure to you or your team, because I have great respect for your work and i want to say thank you for that. But please do not forget that some of the users had done also a lot of work for to use testlink. In our case now several man years. And we are waiting now nearly 9 Month for a solution. (see Mantis 4710)
At the moment we are at a turning point where we think about to collect more projects and more users. But this is with the current performance not possible....
So i can only hope that this problem has the highest priority on your site.
And again, thank you for your work.
best regards
Gunter

(0016684)
asimon (developer)
2012-05-15 07:37

Thank you very much for these nice words and for understanding us.

>But please do not forget that some of the users had done also a lot of work for to use testlink. In our case now several man years. And we are waiting now nearly 9 Month for a solution. (see Mantis 4710)
>At the moment we are at a turning point where we think about to collect more projects and more users. But this is with the current performance not possible....
>So i can only hope that this problem has the highest priority on your site.

I can assure you, it has. I'm also an active user of TestLink as a tester and test manager in my job, not only a developer. So I constantly meet the same problems you do, because our projects are getting larger and larger too. So I know exactly what you're talking about and we do our best to make these things better. It just takes a lot of time, because we have to do almost all development "on the side" while working overtime in our regular jobs. But that's nothing new, everyone knows how open source works.

Regards, Andreas
(0016685)
fman (administrator)
2012-05-15 13:44

@all
I'm refactoring reports and on 1.9.4 we can expect a better performance on execution time and memory usage.
Doing this is not an easy task because:
1. you need to have a big db
2. you need not to mess this db
3. you need to have a copy of this DB to use for comparison
4. you need to run twice any test:
4.1 one on old code (use as reference)
4.2 one on new code

5. combination of Platforms + Builds + Active and Inactive builds creates an amazing qty of tests to do.

I can reassure all that we are working at the best pace we can considering our resources.
(0017100)
fman (administrator)
2012-08-16 13:28

@all
I think I've understand the reason:
We are using a centralized piece of code to manage tree settings & filters.
By default ASSIGNED TO works in AND MODE with SETTING BUILD.

This kind of behaviour can be OK (IMHO) when you are trying to execute test cases,
but in the use case depicted on this issue is WRONG
Again IMHO on this use case (when assigning test cases to test plan) it has to work this way:
ASSIGNED TO works in AND MODE with Filters BUILD.

Probably what is confusing is that SETTINGS is using as part of filters, but we have same kind of element/attribute (in this case BUILD) on both sections 'Settings' and 'Filters', and this can be confusing for users.

I will try to fix this before 1.9.4 release.
(0017107)
fman (administrator)
2012-08-16 15:12

TestLink 1.9.4
http://gitorious.org/testlink-ga/testlink-code/commit/d6197c2f1b7d51aa633b429c0dce1a7061ea001a [^]
(0017286)
fman (administrator)
2012-09-01 19:58

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-02-04 13:48 techieguy New Issue
2012-02-04 13:50 techieguy Note Added: 0016326
2012-02-04 13:52 techieguy Note Edited: 0016326 View Revisions
2012-02-09 18:23 fman Note Added: 0016366
2012-02-09 20:44 fman Note Added: 0016369
2012-05-12 22:12 techieguy Note Added: 0016669
2012-05-13 08:02 fman Note Added: 0016671
2012-05-13 09:50 techieguy Note Added: 0016672
2012-05-14 13:10 asimon Note Added: 0016680
2012-05-14 13:11 asimon Assigned To => asimon
2012-05-14 13:11 asimon Status new => assigned
2012-05-14 13:29 techieguy Note Added: 0016681
2012-05-15 04:20 asimon Relationship added related to 0004635
2012-05-15 04:23 asimon Relationship added parent of 0004710
2012-05-15 05:00 asimon Note Added: 0016682
2012-05-15 06:16 gunter Note Added: 0016683
2012-05-15 06:17 gunter Note Edited: 0016683 View Revisions
2012-05-15 07:37 asimon Note Added: 0016684
2012-05-15 13:44 fman Note Added: 0016685
2012-08-16 13:28 fman Note Added: 0017100
2012-08-16 13:48 fman Task Workflow Status => TBD
2012-08-16 13:48 fman Summary Test Case Assignment filters dont work properly for Tester Assigned to Field => Test Case Tester Assignment - filters dont work properly for 'Assigned to' Field
2012-08-16 13:50 fman Category Test Plan (builds, milestones, test assign) => Assign Test Case Execution
2012-08-16 15:12 fman Note Added: 0017107
2012-08-16 15:13 fman Tag Attached: TO BE FIXED on 2.0
2012-08-16 15:13 fman Task Workflow Status TBD => READY FOR TESTING
2012-08-16 15:13 fman Status assigned => resolved
2012-08-16 15:13 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-16 15:13 fman Resolution open => fixed
2012-08-16 15:13 fman Assigned To asimon => fman
2012-09-01 19:58 fman Note Added: 0017286
2012-09-01 19:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker